gnutls_sign_set_secure_for_certs(3)

NAME
gnutls_sign_set_secure_for_certs - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_sign_set_secure_for_certs(gnutls_sign_algorithm_t sign, unsigned int secure);

ARGUMENTS

gnutls_sign_algorithm_t sign
    the sign algorithm

unsigned int secure
    whether to mark the sign algorithm secure for certificates

DESCRIPTION
Modify the previous system wide setting that marked sign as secure or insecure for the use in certificates. This only has effect when the algorithm is marked as secure through the allowlisting mode in the configuration file, or when the setting is modified with a prior call to this function. When secure is true, sign is marked as secure for any use unlike gnutls_sign_set_secure(). Otherwise, it is marked as insecure only for the use in certificates. Use gnutls_sign_set_secure() to mark it insecure for any uses. This function must be called prior to any session priority setting functions; otherwise the behavior is undefined.

SINCE
3.7.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/